import java.io.* ;
import java.util.Random ;

public class DataGenerator {
  public static void main(String[] args) {

  Random generator = new Random() ;
  int NumSailors = 3000 ;
  int NumBoats = 1000 ;
  int NumReservations = 30000 ;


  try {
    String tuple ;				// a tuple/record of attributes
	String a1, a2, a3, a4 ;     // attributes 1 .. 4
	File file = null ;
	FileWriter fw = null ;
	BufferedWriter bw = null ;


	// create the sailors relation

  	file = new File("./data_sailors") ;
  	fw = new FileWriter(file) ;
  	bw = new BufferedWriter(fw) ;

	for (int i = 1 ; i <= NumSailors ; i++) {
	  a1 = Integer.toString(i) ;			// sid
	  a2 = "Bob" + Integer.toString(i) ;	// sname
	  a3 = Integer.toString( generator.nextInt(75)+15 ) ;  // age 15..99
	  a4 = Integer.toString( generator.nextInt(10)+1 ) ;  // rating 1..10
      tuple = a1 + "," + a2 + "," + a3 + "," + a4 + "\n";

      bw.write(tuple) ;
	}
    bw.close() ;


	// create the boats relation

  	file = new File("./data_boats") ;
  	fw = new FileWriter(file) ;
  	bw = new BufferedWriter(fw) ;

	for (int i = 1 ; i <= NumBoats ; i++) {
	  a1 = Integer.toString(i) ; 				// bid
	  a2 = "guppy" + Integer.toString(i) ;			// name
	  a3 = Integer.toString( generator.nextInt(10)+1 ) ;   // rating needed to reserve
	  a4 = "red" + Integer.toString(i) ;		// color 
      tuple = a1 + "," + a2 + "," + a3 + "," + a4 + "\n";

      bw.write(tuple) ;
	}
    bw.close() ;


	// create the reserve relation
	// NOTE: we know there are sailor tuples for sid 1..NumSailors
	//       at that there are boat tuples for bid 1..NumBoats,
	//       so we just draw random numbers from those ranges

  	file = new File("./data_reserve") ;
  	fw = new FileWriter(file) ;
  	bw = new BufferedWriter(fw) ;

	for (int i = 1 ; i <= NumReservations ; i++) {
	  // bid
	  a1 = Integer.toString( generator.nextInt(NumBoats)+1 ) ;

	  // sid
	  a2 = Integer.toString( generator.nextInt(NumSailors)+1 ) ;

	  // date
	  a3 = "2013-" + Integer.toString(generator.nextInt(12)+1) + 
	       "-" + Integer.toString(generator.nextInt(28)+1) ;

      tuple = a1 + "," + a2 + "," + a3 + "\n";

      bw.write(tuple) ;
	}
    bw.close() ;



  }
  catch (IOException e) {
  	e.printStackTrace() ;
  }




  }
}
